Subject: Re: bug#59627: 29.0.50; tree-sitter support not documented in emacs manual

From: Yuan Fu <[email-masked]>
Date: Sun, 27 Nov 2022 14:27:53 -0800

> On Nov 27, 2022, at 3:41 AM, Theodor Thornhill <[email-masked]> wrote:
> 
> Stefan Kangas <[email-masked]> writes:
> 
>> The new tree-sitter support is not documented in the emacs manual, only
>> in the elisp one.  Should it be?
> 
> To me it seems like the Emacs manual covers broader strokes and
> concepts, while tree-sitter still is "just" an internal implementation
> detail.  I'm not sure exactly where this distinction goes, though.
> 
> Theo

I think the plans is to add a section in the Emacs manual. There are some functions and variables intended to be included in the Emacs manual that I left out of the Elisp manual. The Emacs manual should also explain font-lock features.

Yuan